package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageData;
import com.koobietech.eas.mbg.model.EasEduSubjects;

import java.util.List;

public interface EasEduSubjectsService {

    int addSubject(EasEduSubjects easEduSubjects);

    int updateSubjects(EasEduSubjects easEduSubjects);

    int deleteSubjects( int id );

    EasEduSubjects selectById( Integer id );

    List<EasEduSubjects> selectAll();

    PageData selectByCondition(EasEduSubjects easEduSubjects);
}
